<?php
/**
 *
 *User:Administrator
 *Date:2021/10/8
 */

return [
    'success'=>[0,'success'],
    'error' => [1, 'error'],


    //用户登录相关的错误
    'err_username_or_password'=>['-1', '用户名或密码错误'],
    'err_user_not_exist'=>['100','用户名或密码    不存在'],


    //JwtMiddleware相关错误
    'err_unKnow'=>['200','未知错误'],
    'err_params'=>['300','参数错误'],

    //数据操作有关错误
    'none_authority' => ['400', '无权操作此项数据'],
    'none_data' => ['401', '未选取有效数据'],
    'data_abnormal' => ['402', '操作数据异常，请检查操作结果'],
    'err_enPublic_status'=>['403','当前任务不可发布'],
    'err_disPublic_status'=>['403','当前任务不可废止'],
    'err_data_upload' => ['4004', '数据上传失败，请重试'],
    'err_reUpload_data'=>['4005','禁止重复上传数据'],
    'err_none_auth_upload_data'=>['4006','无权上传数据，请联系管理员'],

    //lib/update上传相关的错误
    'undefined_error'=>['1000','上传文件发生未知错误'],
    'no_file_to_uploaded' => ['1000', '未上传任何文件'],

    //模型操作相关的错误
    'none_model_info'=>['2004','未选取有效模型'],
    'none_model_product'=>['2005','检测对象未选取有效数据'],
    'none_model_pesticides'=>['2006','检测项未选取有效数据'],

    //任务操作相关的错误
    'err_task_auth'=>['3004','权限不足，无法操作该任务'],

    //api-validate异常抛出
    //相关定义在validate的class中，共6位数字，1000+01~1000+99；前4位为大类状态，后2位为类别的验证规则。如1000表示age|require，01表示number，02表示>0。。
    //User.php从10000---19999
    //Task.php从20000---29999

    //抽样单相关错误
    'none_cyd_info' => ['4004', '无抽样单信息'],
    'none_valid_data'=>['4005','请选择一条有效记录']
];